<?xml version="1.0" encoding="us-ascii"?>
<!-- DFS ActiveDisclosure(SM) XBRL Schema Document - http://www.dfsco.com/financial-services/ -->
<!-- Creation Date      : 2018-02-27T17:37:29.3571032+00:00 -->
<!-- Version            : 2.9.6605.1333 -->
<!-- Package ID         : aa34d5e4633542ed96c4badea32a0706 -->
<!-- Copyright (c) 2018 Donnelley Financial, LLC. All Rights Reserved. -->
<schema xmlns:nonnum="http://www.xbrl.org/dtr/type/non-numeric" xmlns:num="http://www.xbrl.org/dtr/type/numeric" xmlns:us-types="http://fasb.org/us-types/2017-01-31" xmlns:stpr="http://xbrl.sec.gov/stpr/2011-01-31" xmlns:naics="http://xbrl.sec.gov/naics/2017-01-31" xmlns:invest="http://xbrl.sec.gov/invest/2013-01-31" xmlns:dorm="http://www.dormanproducts.com/20171230" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:us-gaap="http://fasb.org/us-gaap/2017-01-31" xmlns:dei="http://xbrl.sec.gov/dei/2014-01-31" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:country="http://xbrl.sec.gov/country/2017-01-31" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:currency="http://xbrl.sec.gov/currency/2017-01-31" xmlns:exch="http://xbrl.sec.gov/exch/2017-01-31" xmlns:sic="http://xbrl.sec.gov/sic/2011-01-31" attributeFormDefault="unqualified" elementFormDefault="qualified" targetNamespace="http://www.dormanproducts.com/20171230" xmlns="http://www.w3.org/2001/XMLSchema">
  <import schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd" namespace="http://www.xbrl.org/2003/instance" />
  <import schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" namespace="http://www.xbrl.org/2003/linkbase" />
  <import schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd" namespace="http://xbrl.org/2005/xbrldt" />
  <import schemaLocation="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd" namespace="http://fasb.org/us-gaap/2017-01-31" />
  <import schemaLocation="http://xbrl.sec.gov/dei/2014/dei-2014-01-31.xsd" namespace="http://xbrl.sec.gov/dei/2014-01-31" />
  <import schemaLocation="http://xbrl.fasb.org/us-gaap/2017/elts/us-types-2017-01-31.xsd" namespace="http://fasb.org/us-types/2017-01-31" />
  <import schemaLocation="http://www.xbrl.org/dtr/type/numeric-2009-12-16.xsd" namespace="http://www.xbrl.org/dtr/type/numeric" />
  <import schemaLocation="http://www.xbrl.org/dtr/type/nonNumeric-2009-12-16.xsd" namespace="http://www.xbrl.org/dtr/type/non-numeric" />
  <import schemaLocation="http://xbrl.sec.gov/country/2017/country-2017-01-31.xsd" namespace="http://xbrl.sec.gov/country/2017-01-31" />
  <import schemaLocation="http://xbrl.sec.gov/currency/2017/currency-2017-01-31.xsd" namespace="http://xbrl.sec.gov/currency/2017-01-31" />
  <import schemaLocation="http://xbrl.sec.gov/exch/2017/exch-2017-01-31.xsd" namespace="http://xbrl.sec.gov/exch/2017-01-31" />
  <import schemaLocation="http://xbrl.sec.gov/invest/2013/invest-2013-01-31.xsd" namespace="http://xbrl.sec.gov/invest/2013-01-31" />
  <import schemaLocation="http://xbrl.sec.gov/naics/2017/naics-2017-01-31.xsd" namespace="http://xbrl.sec.gov/naics/2017-01-31" />
  <import schemaLocation="http://xbrl.sec.gov/sic/2011/sic-2011-01-31.xsd" namespace="http://xbrl.sec.gov/sic/2011-01-31" />
  <import schemaLocation="http://xbrl.sec.gov/stpr/2011/stpr-2011-01-31.xsd" namespace="http://xbrl.sec.gov/stpr/2011-01-31" />
  <annotation>
    <appinfo>
      <link:roleType id="TemplateLink" roleURI="http://www.dormanproducts.com/20171230/role/TemplateLink" xmlns:link="http://www.xbrl.org/2003/linkbase">
        <link:definition>00000 - Document - Template Link</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="dorm-20171230_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:title="Calculation Links, all" xlink:type="simple" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="dorm-20171230_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:title="Definition Links, all" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="dorm-20171230_lab.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:title="Label Links, all" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="dorm-20171230_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:title="Presentation Links, all" xlink:type="simple" />
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DocumentDocumentAndEntityInformation" id="Role_DocumentDocumentAndEntityInformation">
        <link:definition>100000 - Document - Document and Entity Information</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/StatementConsolidatedStatementsOfOperations" id="Role_StatementConsolidatedStatementsOfOperations">
        <link:definition>100010 - Statement - Consolidated Statements of Operations</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/StatementConsolidatedBalanceSheets" id="Role_StatementConsolidatedBalanceSheets">
        <link:definition>100020 - Statement - Consolidated Balance Sheets</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/StatementConsolidatedBalanceSheetsParenthetical" id="Role_StatementConsolidatedBalanceSheetsParenthetical">
        <link:definition>100030 - Statement - Consolidated Balance Sheets (Parenthetical)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/StatementConsolidatedStatementsOfShareholdersEquity" id="Role_StatementConsolidatedStatementsOfShareholdersEquity">
        <link:definition>100040 - Statement - Consolidated Statements of Shareholders&apos; Equity</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/StatementConsolidatedStatementsOfCashFlows" id="Role_StatementConsolidatedStatementsOfCashFlows">
        <link:definition>100050 - Statement - Consolidated Statements of Cash Flows</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureSummaryOfSignificantAccountingPolicies" id="Role_DisclosureSummaryOfSignificantAccountingPolicies">
        <link:definition>100060 - Disclosure - Summary of Significant Accounting Policies</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureNewAndRecentlyAdoptedAccountingPronouncements" id="Role_DisclosureNewAndRecentlyAdoptedAccountingPronouncements">
        <link:definition>100070 - Disclosure - New and Recently Adopted Accounting Pronouncements</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureBusinessAcquisitionsAndInvestments" id="Role_DisclosureBusinessAcquisitionsAndInvestments">
        <link:definition>100080 - Disclosure - Business Acquisitions and Investments</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureInventories" id="Role_DisclosureInventories">
        <link:definition>100090 - Disclosure - Inventories</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosurePropertyPlantAndEquipment" id="Role_DisclosurePropertyPlantAndEquipment">
        <link:definition>100100 - Disclosure - Property, Plant and Equipment</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureGoodwillAndIntangibleAssets" id="Role_DisclosureGoodwillAndIntangibleAssets">
        <link:definition>100110 - Disclosure - Goodwill and Intangible Assets</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureLongTermDebt" id="Role_DisclosureLongTermDebt">
        <link:definition>100120 - Disclosure - Long-Term Debt</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureOperatingLeaseCommitmentsAndRentExpense" id="Role_DisclosureOperatingLeaseCommitmentsAndRentExpense">
        <link:definition>100130 - Disclosure - Operating Lease Commitments and Rent Expense</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureRelatedPartyTransactions" id="Role_DisclosureRelatedPartyTransactions">
        <link:definition>100140 - Disclosure - Related Party Transactions</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureIncomeTaxes" id="Role_DisclosureIncomeTaxes">
        <link:definition>100150 - Disclosure - Income Taxes</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureCommitmentsAndContingencies" id="Role_DisclosureCommitmentsAndContingencies">
        <link:definition>100160 - Disclosure - Commitments and Contingencies</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureCapitalStock" id="Role_DisclosureCapitalStock">
        <link:definition>100170 - Disclosure - Capital Stock</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureEarningsPerShare" id="Role_DisclosureEarningsPerShare">
        <link:definition>100180 - Disclosure - Earnings Per Share</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureBusinessSegments" id="Role_DisclosureBusinessSegments">
        <link:definition>100190 - Disclosure - Business Segments</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureQuarterlyResultsOfOperationsUnaudited" id="Role_DisclosureQuarterlyResultsOfOperationsUnaudited">
        <link:definition>100200 - Disclosure - Quarterly Results of Operations (Unaudited)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureScheduleIIValuationAndQualifyingAccounts" id="Role_DisclosureScheduleIIValuationAndQualifyingAccounts">
        <link:definition>100210 - Disclosure - Schedule II: Valuation and Qualifying Accounts</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureSummaryOfSignificantAccountingPoliciesPolicies" id="Role_DisclosureSummaryOfSignificantAccountingPoliciesPolicies">
        <link:definition>100220 - Disclosure - Summary of Significant Accounting Policies (Policies)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureSummaryOfSignificantAccountingPoliciesTables" id="Role_DisclosureSummaryOfSignificantAccountingPoliciesTables">
        <link:definition>100230 - Disclosure - Summary of Significant Accounting Policies (Tables)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureBusinessAcquisitionsAndInvestmentsTables" id="Role_DisclosureBusinessAcquisitionsAndInvestmentsTables">
        <link:definition>100240 - Disclosure - Business Acquisitions and Investments (Tables)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureInventoriesTables" id="Role_DisclosureInventoriesTables">
        <link:definition>100250 - Disclosure - Inventories (Tables)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosurePropertyPlantAndEquipmentTables" id="Role_DisclosurePropertyPlantAndEquipmentTables">
        <link:definition>100260 - Disclosure - Property, Plant and Equipment (Tables)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureGoodwillAndIntangibleAssetsTables" id="Role_DisclosureGoodwillAndIntangibleAssetsTables">
        <link:definition>100270 - Disclosure - Goodwill and Intangible Assets (Tables)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureOperatingLeaseCommitmentsAndRentExpenseTables" id="Role_DisclosureOperatingLeaseCommitmentsAndRentExpenseTables">
        <link:definition>100280 - Disclosure - Operating Lease Commitments and Rent Expense (Tables)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureIncomeTaxesTables" id="Role_DisclosureIncomeTaxesTables">
        <link:definition>100290 - Disclosure - Income Taxes (Tables)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureCapitalStockTables" id="Role_DisclosureCapitalStockTables">
        <link:definition>100300 - Disclosure - Capital Stock (Tables)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureEarningsPerShareTables" id="Role_DisclosureEarningsPerShareTables">
        <link:definition>100310 - Disclosure - Earnings Per Share (Tables)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureQuarterlyResultsOfOperationsUnauditedTables" id="Role_DisclosureQuarterlyResultsOfOperationsUnauditedTables">
        <link:definition>100320 - Disclosure - Quarterly Results of Operations (Unaudited) (Tables)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureSummaryOfSignificantAccountingPoliciesAdditionalInformationDetail" id="Role_DisclosureSummaryOfSignificantAccountingPoliciesAdditionalInformationDetail">
        <link:definition>100330 - Disclosure - Summary of Significant Accounting Policies - Additional Information (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureSummaryOfSignificantAccountingPoliciesEstimatedUsefulLivesByMajorAssetDetail" id="Role_DisclosureSummaryOfSignificantAccountingPoliciesEstimatedUsefulLivesByMajorAssetDetail">
        <link:definition>100340 - Disclosure - Summary of Significant Accounting Policies - Estimated Useful Lives by Major Asset (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureNewAndRecentlyAdoptedAccountingPronouncementsAdditionalInformationDetail" id="Role_DisclosureNewAndRecentlyAdoptedAccountingPronouncementsAdditionalInformationDetail">
        <link:definition>100350 - Disclosure - New and Recently Adopted Accounting Pronouncements - Additional Information (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureBusinessAcquisitionsAndInvestmentsAdditionalInformationDetail" id="Role_DisclosureBusinessAcquisitionsAndInvestmentsAdditionalInformationDetail">
        <link:definition>100360 - Disclosure - Business Acquisitions and Investments - Additional Information (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureBusinessAcquisitionsAndInvestmentsSummaryOfPreliminaryFairValueOfTotalConsiderationDetail" id="Role_DisclosureBusinessAcquisitionsAndInvestmentsSummaryOfPreliminaryFairValueOfTotalConsiderationDetail">
        <link:definition>100370 - Disclosure - Business Acquisitions and Investments - Summary of Preliminary Fair Value of Total Consideration (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureBusinessAcquisitionsAndInvestmentsSummaryOfPreliminaryFairValueOfTotalConsiderationParentheticalDetail" id="Role_DisclosureBusinessAcquisitionsAndInvestmentsSummaryOfPreliminaryFairValueOfTotalConsiderationParentheticalDetail">
        <link:definition>100380 - Disclosure - Business Acquisitions and Investments - Summary of Preliminary Fair Value of Total Consideration (Parenthetical) (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureBusinessAcquisitionsAndInvestmentsSummaryOfPreliminaryFairValuesOfAssetsAcquiredAndLiabilitiesAssumedDetail" id="Role_DisclosureBusinessAcquisitionsAndInvestmentsSummaryOfPreliminaryFairValuesOfAssetsAcquiredAndLiabilitiesAssumedDetail">
        <link:definition>100390 - Disclosure - Business Acquisitions and Investments - Summary of Preliminary Fair Values of Assets Acquired and Liabilities Assumed (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureBusinessAcquisitionsAndInvestmentsSummaryOfPreliminaryFairValuesOfAssetsAcquiredAndLiabilitiesAssumedParentheticalDetail" id="Role_DisclosureBusinessAcquisitionsAndInvestmentsSummaryOfPreliminaryFairValuesOfAssetsAcquiredAndLiabilitiesAssumedParentheticalDetail">
        <link:definition>100400 - Disclosure - Business Acquisitions and Investments - Summary of Preliminary Fair Values of Assets Acquired and Liabilities Assumed (Parenthetical) (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureBusinessAcquisitionsAndInvestmentsScheduleOfValuationOfIntangibleAssetsAcquiredAndRelatedAmortizationPeriodsDetail" id="Role_DisclosureBusinessAcquisitionsAndInvestmentsScheduleOfValuationOfIntangibleAssetsAcquiredAndRelatedAmortizationPeriodsDetail">
        <link:definition>100410 - Disclosure - Business Acquisitions and Investments - Schedule of Valuation of Intangible Assets Acquired and Related Amortization Periods (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureBusinessAcquisitionsAndInvestmentsScheduleOfProFormaFinancialInformationDetail" id="Role_DisclosureBusinessAcquisitionsAndInvestmentsScheduleOfProFormaFinancialInformationDetail">
        <link:definition>100420 - Disclosure - Business Acquisitions and Investments - Schedule of Pro Forma Financial Information (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureInventoriesInventoriesDetail" id="Role_DisclosureInventoriesInventoriesDetail">
        <link:definition>100430 - Disclosure - Inventories - Inventories (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosurePropertyPlantAndEquipmentPropertyPlantAndEquipmentDetail" id="Role_DisclosurePropertyPlantAndEquipmentPropertyPlantAndEquipmentDetail">
        <link:definition>100440 - Disclosure - Property, Plant and Equipment - Property, Plant and Equipment (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosurePropertyPlantAndEquipmentAdditionalInformationDetail" id="Role_DisclosurePropertyPlantAndEquipmentAdditionalInformationDetail">
        <link:definition>100450 - Disclosure - Property, Plant and Equipment - Additional Information (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureGoodwillAndIntangibleAssetsScheduleOfGoodwillDetail" id="Role_DisclosureGoodwillAndIntangibleAssetsScheduleOfGoodwillDetail">
        <link:definition>100460 - Disclosure - Goodwill and Intangible Assets - Schedule of Goodwill (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureGoodwillAndIntangibleAssetsScheduleOfIntangibleAssetsDetail" id="Role_DisclosureGoodwillAndIntangibleAssetsScheduleOfIntangibleAssetsDetail">
        <link:definition>100470 - Disclosure - Goodwill and Intangible Assets - Schedule of Intangible Assets (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureGoodwillAndIntangibleAssetsAdditionalInformationDetail" id="Role_DisclosureGoodwillAndIntangibleAssetsAdditionalInformationDetail">
        <link:definition>100480 - Disclosure - Goodwill and Intangible Assets - Additional Information (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureGoodwillAndIntangibleAssetsScheduleOfEstimatedFutureAmortizationExpenseDetail" id="Role_DisclosureGoodwillAndIntangibleAssetsScheduleOfEstimatedFutureAmortizationExpenseDetail">
        <link:definition>100490 - Disclosure - Goodwill and Intangible Assets - Schedule of Estimated Future Amortization Expense (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureLongTermDebtAdditionalInformationDetail" id="Role_DisclosureLongTermDebtAdditionalInformationDetail">
        <link:definition>100500 - Disclosure - Long-Term Debt - Additional Information (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureOperatingLeaseCommitmentsAndRentExpenseSummaryOfFutureMinimumRentalPaymentsUnderLeasesDetail" id="Role_DisclosureOperatingLeaseCommitmentsAndRentExpenseSummaryOfFutureMinimumRentalPaymentsUnderLeasesDetail">
        <link:definition>100510 - Disclosure - Operating Lease Commitments and Rent Expense - Summary of Future Minimum Rental Payments under Leases (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureOperatingLeaseCommitmentsAndRentExpenseAdditionalInformationDetail" id="Role_DisclosureOperatingLeaseCommitmentsAndRentExpenseAdditionalInformationDetail">
        <link:definition>100520 - Disclosure - Operating Lease Commitments and Rent Expense - Additional Information (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureRelatedPartyTransactionsAdditionalInformationDetail" id="Role_DisclosureRelatedPartyTransactionsAdditionalInformationDetail">
        <link:definition>100530 - Disclosure - Related Party Transactions - Additional Information (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureIncomeTaxesAdditionalInformationDetail" id="Role_DisclosureIncomeTaxesAdditionalInformationDetail">
        <link:definition>100540 - Disclosure - Income Taxes - Additional Information (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureIncomeTaxesComponentsOfIncomeTaxProvisionBenefitDetail" id="Role_DisclosureIncomeTaxesComponentsOfIncomeTaxProvisionBenefitDetail">
        <link:definition>100550 - Disclosure - Income Taxes - Components of Income Tax Provision (Benefit) (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureIncomeTaxesReconciliationOfIncomeTaxesAtStatutoryTaxRateToCompanySEffectiveTaxRateDetail" id="Role_DisclosureIncomeTaxesReconciliationOfIncomeTaxesAtStatutoryTaxRateToCompanySEffectiveTaxRateDetail">
        <link:definition>100560 - Disclosure - Income Taxes - Reconciliation of Income Taxes at Statutory Tax Rate to Company&apos;s Effective Tax Rate (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureIncomeTaxesChangeInUncertainTaxBenefitsDetail" id="Role_DisclosureIncomeTaxesChangeInUncertainTaxBenefitsDetail">
        <link:definition>100570 - Disclosure - Income Taxes - Change in Uncertain Tax Benefits (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureIncomeTaxesReconciliationOfDeferredTaxAssetsAndLiabilitiesDetail" id="Role_DisclosureIncomeTaxesReconciliationOfDeferredTaxAssetsAndLiabilitiesDetail">
        <link:definition>100580 - Disclosure - Income Taxes - Reconciliation of Deferred Tax Assets and Liabilities (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureCapitalStockAdditionalInformationDetail" id="Role_DisclosureCapitalStockAdditionalInformationDetail">
        <link:definition>100590 - Disclosure - Capital Stock - Additional Information (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureCapitalStockSummaryOfRestrictedStockActivityDetail" id="Role_DisclosureCapitalStockSummaryOfRestrictedStockActivityDetail">
        <link:definition>100600 - Disclosure - Capital Stock - Summary of Restricted Stock Activity (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureCapitalStockScheduleOfWeightedAverageValuationAssumptionsUsedToCalculateFairValueOfOptionsGrantedDetail" id="Role_DisclosureCapitalStockScheduleOfWeightedAverageValuationAssumptionsUsedToCalculateFairValueOfOptionsGrantedDetail">
        <link:definition>100610 - Disclosure - Capital Stock - Schedule of Weighted Average Valuation Assumptions Used to Calculate Fair Value of Options Granted (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureCapitalStockSummaryOfStockOptionActivityDetail" id="Role_DisclosureCapitalStockSummaryOfStockOptionActivityDetail">
        <link:definition>100620 - Disclosure - Capital Stock - Summary of Stock Option Activity (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureCapitalStockSummaryOfInformationConcerningCurrentlyOutstandingAndExercisableOptionsDetail" id="Role_DisclosureCapitalStockSummaryOfInformationConcerningCurrentlyOutstandingAndExercisableOptionsDetail">
        <link:definition>100630 - Disclosure - Capital Stock - Summary of Information Concerning Currently Outstanding and Exercisable Options (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureEarningsPerShareAdditionalInformationDetail" id="Role_DisclosureEarningsPerShareAdditionalInformationDetail">
        <link:definition>100640 - Disclosure - Earnings Per Share - Additional Information (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureEarningsPerShareScheduleOfComputationOfBasicEarningsPerShareAndDilutedEarningsPerShareDetail" id="Role_DisclosureEarningsPerShareScheduleOfComputationOfBasicEarningsPerShareAndDilutedEarningsPerShareDetail">
        <link:definition>100650 - Disclosure - Earnings Per Share - Schedule of Computation of Basic Earnings per Share and Diluted Earnings per Share (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureBusinessSegmentsAdditionalInformationDetail" id="Role_DisclosureBusinessSegmentsAdditionalInformationDetail">
        <link:definition>100660 - Disclosure - Business Segments - Additional Information (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureQuarterlyResultsOfOperationsSummaryOfQuarterlyResultsOfOperationsDetail" id="Role_DisclosureQuarterlyResultsOfOperationsSummaryOfQuarterlyResultsOfOperationsDetail">
        <link:definition>100670 - Disclosure - Quarterly Results of Operations - Summary of Quarterly Results of Operations (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.dormanproducts.com/20171230/taxonomy/role/DisclosureScheduleIIValuationAndQualifyingAccountsDetail" id="Role_DisclosureScheduleIIValuationAndQualifyingAccountsDetail">
        <link:definition>100680 - Disclosure - Schedule II - Valuation and Qualifying Accounts (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
    </appinfo>
  </annotation>
  <element id="dorm_DocumentAndEntityInformationAbstract" name="DocumentAndEntityInformationAbstract" type="xbrli:stringItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true" />
  <element id="dorm_AllowanceForDoubtfulAccountsAndCustomerCredits" name="AllowanceForDoubtfulAccountsAndCustomerCredits" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="instant" nillable="true" abstract="false" xbrli:balance="credit" />
  <element id="dorm_ProceedsPaymentsFromOtherStockRelatedActivity" name="ProceedsPaymentsFromOtherStockRelatedActivity" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" xbrli:balance="debit" />
  <element id="dorm_PurchaseAndCancellationOfCommonStock" name="PurchaseAndCancellationOfCommonStock" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" xbrli:balance="credit" />
  <element id="dorm_BusinessCombinationAndInvestmentsDisclosureTextBlock" name="BusinessCombinationAndInvestmentsDisclosureTextBlock" type="nonnum:textBlockItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" />
  <element id="dorm_SalesOfAccountsReceivableTextBlock" name="SalesOfAccountsReceivableTextBlock" type="nonnum:textBlockItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" />
  <element id="dorm_PurchaseAccountingPolicyTextBlock" name="PurchaseAccountingPolicyTextBlock" type="nonnum:textBlockItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" />
  <element id="dorm_OtherAssetsPolicyTextBlock" name="OtherAssetsPolicyTextBlock" type="nonnum:textBlockItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" />
  <element id="dorm_OtherAccruedLiabilitiesPolicyPolicyTextBlock" name="OtherAccruedLiabilitiesPolicyPolicyTextBlock" type="nonnum:textBlockItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" />
  <element id="dorm_RevenueRecognitionAndAllowanceForCustomerCreditsPolicyTextBlock" name="RevenueRecognitionAndAllowanceForCustomerCreditsPolicyTextBlock" type="nonnum:textBlockItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" />
  <element id="dorm_PropertyPlantAndEquipmentEstimatedUsefulLifeTableTextBlock" name="PropertyPlantAndEquipmentEstimatedUsefulLifeTableTextBlock" type="nonnum:textBlockItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" />
  <element id="dorm_ShortTermInvestmentOriginalMaturityPeriodDescription" name="ShortTermInvestmentOriginalMaturityPeriodDescription" type="xbrli:stringItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" />
  <element id="dorm_SignificantAccountingPoliciesLineItems" name="SignificantAccountingPoliciesLineItems" type="xbrli:stringItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true" />
  <element id="dorm_SignificantAccountingPoliciesTable" name="SignificantAccountingPoliciesTable" type="xbrli:stringItemType" substitutionGroup="xbrldt:hypercubeItem" xbrli:periodType="duration" nillable="true" abstract="true" />
  <element id="dorm_ReceivablesNotSoldAdditionalReceivablesOutstanding" name="ReceivablesNotSoldAdditionalReceivablesOutstanding" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="instant" nillable="true" abstract="false" xbrli:balance="debit" />
  <element id="dorm_SoftwareAndComputerEquipmentMember" name="SoftwareAndComputerEquipmentMember" type="nonnum:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true" />
  <element id="dorm_FurnitureFixturesAndLeaseholdImprovementsMember" name="FurnitureFixturesAndLeaseholdImprovementsMember" type="nonnum:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true" />
  <element id="dorm_AccruedCustomerRebates" name="AccruedCustomerRebates" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="instant" nillable="true" abstract="false" xbrli:balance="credit" />
  <element id="dorm_NumberOfLargestCustomer" name="NumberOfLargestCustomer" type="xbrli:integerItemType" substitutionGroup="xbrli:item" xbrli:periodType="instant" nillable="true" abstract="false" />
  <element id="dorm_NumberOfForeignForwardContractsOutstanding" name="NumberOfForeignForwardContractsOutstanding" type="xbrli:integerItemType" substitutionGroup="xbrli:item" xbrli:periodType="instant" nillable="true" abstract="false" />
  <element id="dorm_AdjustedEarningsBeforeInterestTaxesDepreciationAndAmortizationAndOtherNonCashItemsAbstract" name="AdjustedEarningsBeforeInterestTaxesDepreciationAndAmortizationAndOtherNonCashItemsAbstract" type="xbrli:stringItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true" />
  <element id="dorm_BusinessCombinationAbstract" name="BusinessCombinationAbstract" type="xbrli:stringItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true" />
  <element id="dorm_MASAutomotiveDistributionIncMember" name="MASAutomotiveDistributionIncMember" type="nonnum:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true" />
  <element id="dorm_IngallsEngineeringCompanyIncMember" name="IngallsEngineeringCompanyIncMember" type="nonnum:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true" />
  <element id="dorm_BusinessCombinationContingentCashConsideration" name="BusinessCombinationContingentCashConsideration" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" xbrli:balance="credit" />
  <element id="dorm_BusinessCombinationWorkingCapitalAdjustment" name="BusinessCombinationWorkingCapitalAdjustment" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" xbrli:balance="credit" />
  <element id="dorm_BusinessCombinationContingentConsiderationMaximumCashPayment" name="BusinessCombinationContingentConsiderationMaximumCashPayment" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" xbrli:balance="credit" />
  <element id="dorm_BusinessCombinationSalesThresholdsAchievementMaturityDate" name="BusinessCombinationSalesThresholdsAchievementMaturityDate" type="xbrli:gYearMonthItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" />
  <element id="dorm_ValuationOfFiniteLivedIntangibleAssetsCashFlowsDiscountedRate" name="ValuationOfFiniteLivedIntangibleAssetsCashFlowsDiscountedRate" type="num:percentItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" />
  <element id="dorm_GoodwillAndOtherIntangibleAssetsAcquired" name="GoodwillAndOtherIntangibleAssetsAcquired" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="instant" nillable="true" abstract="false" xbrli:balance="debit" />
  <element id="dorm_LineOfCreditFacilityExpirationMonthAndYear" name="LineOfCreditFacilityExpirationMonthAndYear" type="xbrli:gYearMonthItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" />
  <element id="dorm_LineOfCreditFacilityIncrementalBorrowingCapacity" name="LineOfCreditFacilityIncrementalBorrowingCapacity" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="instant" nillable="true" abstract="false" xbrli:balance="credit" />
  <element id="dorm_NumberOfOutstandingLettersOfCredit" name="NumberOfOutstandingLettersOfCredit" type="xbrli:integerItemType" substitutionGroup="xbrli:item" xbrli:periodType="instant" nillable="true" abstract="false" />
  <element id="dorm_HundredMillionRevolvingCreditFacilityMember" name="HundredMillionRevolvingCreditFacilityMember" type="nonnum:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true" />
  <element id="dorm_ThirtyMillionRevolvingCreditFacilityMember" name="ThirtyMillionRevolvingCreditFacilityMember" type="nonnum:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true" />
  <element id="dorm_LeaseEffectiveDate" name="LeaseEffectiveDate" type="xbrli:dateItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" />
  <element id="dorm_JointVentureMember" name="JointVentureMember" type="nonnum:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true" />
  <element id="dorm_NoncontrollingInterestInNumberOfSuppliers" name="NoncontrollingInterestInNumberOfSuppliers" type="xbrli:integerItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" />
  <element id="dorm_PercentageOfExpenseQualifiedPropertyPlacedInService" name="PercentageOfExpenseQualifiedPropertyPlacedInService" type="num:percentItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" />
  <element id="dorm_PercentageOfDividendsReceivedDeductionOnQualifyingDividendsPaidByForeignSubsidiaries" name="PercentageOfDividendsReceivedDeductionOnQualifyingDividendsPaidByForeignSubsidiaries" type="num:percentItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" />
  <element id="dorm_PeriodForFirstSignificantChangeInDomesticTaxLaw" name="PeriodForFirstSignificantChangeInDomesticTaxLaw" type="xbrli:durationItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" />
  <element id="dorm_TaxCutsAndJobsActOf2017IncompleteAccountingChangeInTaxRateDeferredTaxAssetIncomeTaxExpenseBenefit" name="TaxCutsAndJobsActOf2017IncompleteAccountingChangeInTaxRateDeferredTaxAssetIncomeTaxExpenseBenefit" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" xbrli:balance="debit" />
  <element id="dorm_TaxCutsAndJobsActOf2017IncompleteAccountingTaxOnDeferredForeignEarningsLiquidAssetsPercentage" name="TaxCutsAndJobsActOf2017IncompleteAccountingTaxOnDeferredForeignEarningsLiquidAssetsPercentage" type="num:percentItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" />
  <element id="dorm_TaxCutsAndJobsActOf2017IncompleteAccountingTaxOnDeferredForeignEarningsIlliquidAssetsPercentage" name="TaxCutsAndJobsActOf2017IncompleteAccountingTaxOnDeferredForeignEarningsIlliquidAssetsPercentage" type="num:percentItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" />
  <element id="dorm_TaxCutsAndJobsActOf2017IncompleteAccountingDefinedIncrementsMinimumPaymentPeriod" name="TaxCutsAndJobsActOf2017IncompleteAccountingDefinedIncrementsMinimumPaymentPeriod" type="xbrli:durationItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" />
  <element id="dorm_TaxCutsAndJobsActOf2017IncompleteAccountingChangeInTaxRateIncomeTaxExpenseBenefit" name="TaxCutsAndJobsActOf2017IncompleteAccountingChangeInTaxRateIncomeTaxExpenseBenefit" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" xbrli:balance="debit" />
  <element id="dorm_DeferredTaxAssetsAccountsReceivable" name="DeferredTaxAssetsAccountsReceivable" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="instant" nillable="true" abstract="false" xbrli:balance="debit" />
  <element id="dorm_DeferredTaxLiabilitiesDepreciation" name="DeferredTaxLiabilitiesDepreciation" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="instant" nillable="true" abstract="false" xbrli:balance="credit" />
  <element id="dorm_CommonStockHeldByRelativesOfDirectorPercentage" name="CommonStockHeldByRelativesOfDirectorPercentage" type="num:percentItemType" substitutionGroup="xbrli:item" xbrli:periodType="instant" nillable="true" abstract="false" />
  <element id="dorm_PerformanceBasedLongTermAwardProgramMember" name="PerformanceBasedLongTermAwardProgramMember" type="nonnum:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true" />
  <element id="dorm_ExecutivesMember" name="ExecutivesMember" type="nonnum:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true" />
  <element id="dorm_EmployeeStockPurchasePlanMember" name="EmployeeStockPurchasePlanMember" type="nonnum:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true" />
  <element id="dorm_ShareRepurchaseProgramMember" name="ShareRepurchaseProgramMember" type="nonnum:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true" />
  <element id="dorm_DateOfPlanApproval" name="DateOfPlanApproval" type="xbrli:dateItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" />
  <element id="dorm_MaximumGrantPeriodFromDateOfPlanApproval" name="MaximumGrantPeriodFromDateOfPlanApproval" type="xbrli:durationItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" />
  <element id="dorm_ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionsExercisedOptionPricePerShare" name="ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionsExercisedOptionPricePerShare" type="num:perShareItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" />
  <element id="dorm_ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionsGrantedOptionPricePerShare" name="ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionsGrantedOptionPricePerShare" type="num:perShareItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" />
  <element id="dorm_ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionsCancelledOptionPricePerShare" name="ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionsCancelledOptionPricePerShare" type="num:perShareItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" />
  <element id="dorm_ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionsOutstandingOptionPricePerShare" name="ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionsOutstandingOptionPricePerShare" type="num:perShareItemType" substitutionGroup="xbrli:item" xbrli:periodType="instant" nillable="true" abstract="false" />
  <element id="dorm_RangeOneMember" name="RangeOneMember" type="nonnum:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true" />
  <element id="dorm_RangeTwoMember" name="RangeTwoMember" type="nonnum:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true" />
  <element id="dorm_RangeThreeMember" name="RangeThreeMember" type="nonnum:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true" />
  <element id="dorm_RangeFourMember" name="RangeFourMember" type="nonnum:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true" />
  <element id="dorm_RangeFiveMember" name="RangeFiveMember" type="nonnum:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true" />
  <element id="dorm_TermOfCompensationOnCompoundAnnualGrowthInPreTaxIncome" name="TermOfCompensationOnCompoundAnnualGrowthInPreTaxIncome" type="xbrli:durationItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" />
  <element id="dorm_PercentageOfDiscountUponStockToBeIssuedUnderEmployeeStockPurchasePlans" name="PercentageOfDiscountUponStockToBeIssuedUnderEmployeeStockPurchasePlans" type="num:percentItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" />
  <element id="dorm_NumberOfCommonStockHeldUnderRetirementPlan" name="NumberOfCommonStockHeldUnderRetirementPlan" type="xbrli:sharesItemType" substitutionGroup="xbrli:item" xbrli:periodType="instant" nillable="true" abstract="false" />
  <element id="dorm_StockRepurchasedAndRetiredDuringPeriodAveragePurchasePrice" name="StockRepurchasedAndRetiredDuringPeriodAveragePurchasePrice" type="num:perShareItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" />
  <element id="dorm_StockRepurchaseProgramApprovalDate" name="StockRepurchaseProgramApprovalDate" type="xbrli:dateItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" />
  <element id="dorm_NumberOfLargestCustomers" name="NumberOfLargestCustomers" type="xbrli:integerItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" />
  <element id="dorm_EntityWideRevenueMajorCustomerAggregatePercentage" name="EntityWideRevenueMajorCustomerAggregatePercentage" type="num:percentItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" />
  <element id="dorm_ExportSales" name="ExportSales" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" xbrli:balance="debit" />
  <element id="dorm_AllowanceForCustomerCreditsMember" name="AllowanceForCustomerCreditsMember" type="nonnum:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true" />
</schema>
